
package negocio;

import datos.FacturaDATOS;
import datos.FacturaPDF;
import encapsuladores.CabeceraFactura;
import encapsuladores.LineaFactura;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.List;

public class Factura {
    public void generarPDF() throws IOException {   
               
       FacturaDATOS facturaDATOS = new FacturaDATOS();
       List<LineaFactura> listaLineasFactura = facturaDATOS.leerLineas();
       CabeceraFactura cabeceraFactura = facturaDATOS.leerCabecera();
       String nombreArchivoPDF = "D:\\PDFs_creados\\Factura" + new Integer(cabeceraFactura.getNumeroFactura()).toString() + new SimpleDateFormat("yyyyMMddHHmmss").format(new java.util.Date()) + ".pdf";
       new FacturaPDF().generarPDF(new Object[]{nombreArchivoPDF, cabeceraFactura, listaLineasFactura});      
    }        
}
